local cv_autoenter = CV_RegisterVar({
    name = "autoenter",
    defaultvalue = "Off",
    possiblevalue = CV_OnOff,
    flags = CV_NETVAR,
})

addHook("PlayerThink", function(p)
    if p.autoenter == -1 then return end

    if cv_autoenter.value == 0 then
        p.autoenter = -1
        return
    end

    -- Wait a bit. For some reason adding wantstojoin flag doesn't work with delay
    if p.autoenter == nil then
        p.autoenter = p.cmd.latency+1
    end

    p.autoenter = $ - 1

    if p.autoenter == 0 then
        -- Force join
        COM_BufInsertText(p, "changeteam playing")
    end
end)
