freeslot("S_PT_FAKEEXPLOSION")

function A_FakeMineExplode(actor)
    local color = SKINCOLOR_KETCHUP

    if actor.target and actor.target.player then
        color = actor.target.player.skincolor
    end

    K_SpawnMineExplosion(actor, color)

    P_SpawnMobj(actor.x, actor.y, actor.z, MT_MINEEXPLOSIONSOUND)
    P_SpawnMobj(actor.x, actor.y, actor.z, MT_MINEEXPLOSION) -- For the screenshake script to register this as actual explosion

    actor.flags2 = $|MF2_DEBRIS -- Set this flag to ensure that the explosion won't be effective more than 1 frame.
end

states[S_PT_FAKEEXPLOSION] = {
    action = A_FakeMineExplode,
    tics = 0,
    nextstate = S_NULL,
}

mobjinfo[MT_PT_BOMB].deathstate = S_PT_FAKEEXPLOSION
